clear
close all

load stim_used_for_plotting.mat

fontSize = 15;
lineWidth = 2;
markerSize = 10;

freq = linspace(log(220), log(880), 3);
for i_f = 1:length(freq)
    freq_title{i_f} = num2str(exp(freq(i_f)));
end

for i_b = 1:5
    for i_s = 1:3
        
        % plot large sig sequence for current beta and series
        s  = seq_sig_large_inHz{i_b}(i_s,:);
        sp = seq_sig_large_pred_inHz{i_b}(i_s);
        
        h = figure; hold on;
        set(h, 'DefaultAxesFontSize', fontSize);
        set(h, 'DefaultLineLineWidth', lineWidth);
        set(h, 'DefaultLineMarkerSize', markerSize);
        
        plot(1:34, log(s), 'mo-')
        plot(34, log(sp), 'mx');
        
        xlim([1 34])
        set(gca,'XTick',[1 5:5:30 34]);
        xlabel('tone #')
        
        ylim([log(220) log(880)])
        ylabel('pitch (frequency)')
        set(gca,'YTick',freq)
        set(gca,'YTickLabel',freq_title)
        
        fname = ['beta=' num2str(betas(i_b)) ', series=' num2str(i_s) ', sig=large.png'];
        saveas(h, fname, 'png');
        delete(h)
        
        % plot small sig sequence for current beta and series
        s  = seq_sig_small_inHz{i_b}(i_s,:);
        sp = seq_sig_small_pred_inHz{i_b}(i_s);

        h = figure; hold on;
        set(h, 'DefaultAxesFontSize', fontSize);
        set(h, 'DefaultLineLineWidth', lineWidth);
        set(h, 'DefaultLineMarkerSize', markerSize);
        
        plot(1:34, log(s), 'go-')
        plot(34, log(sp), 'gx')
        
        xlim([1 34])
        set(gca,'XTick',[1 5:5:30 34]);
        xlabel('tone #')
        
        ylim([log(220) log(880)])
        ylabel('pitch (frequency)')
        set(gca,'YTick',freq)
        set(gca,'YTickLabel',freq_title)
        
        fname = ['beta=' num2str(betas(i_b)) ', series=' num2str(i_s) ', sig=small.png'];
        saveas(h, fname, 'png');        
        delete(h)
        
    end
end